Vulnerability CVE-2010-0996


Published: 2010-04-20   Modified: 2012-02-13

Description:
Unrestricted file upload vulnerability in e107 before 0.7.20 allows remote authenticated users to execute arbitrary code by uploading a .php.filetypesphp file. NOTE: the vendor disputes the significance of this issue, noting that "an odd set of preferences and a missing file" are required.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
e107 Avatar/Photograph Image File Upload Vulnerability
Secunia Research
22.04.2010

Type:

CWE-Other

CVSS2 => (AV:N/AC:M/Au:S/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6/10
6.4/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
E107 -> E107 

 References:
http://e107.org/comment.php?comment.news.864
http://e107.org/svn_changelog.php?version=0.7.20
http://www.securityfocus.com/archive/1/510805/100/0/threaded
http://www.securityfocus.com/bid/39540
http://www.vupen.com/english/advisories/2010/0919
https://exchange.xforce.ibmcloud.com/vulnerabilities/57932

Copyright 2022, cxsecurity.com

 

Back to Top